Subject: [dane] clarify, are SMIMEA and OPENPGPKEY drafts experimental?

From: "Wiley, Glen" <[email-masked]>
Date: Tue, 28 Jul 2015 12:11:14 +0000

Was a decision taken to make the SMIMEA and OPENPGPKEY drafts experimental rather than standards track?
--
Glen Wiley
Principal Engineer
Verisign, Inc.
(571) 230-7917

http://vbsdcon.com

A5E5 E373 3C75 5B3E 2E24
6A0F DC65 2354 9946 C63A

---

From: Olafur Gudmundsson <[email-masked]>
Date: Thu, 30 Jul 2015 08:31:02 -0400

> On Jul 28, 2015, at 8:11 AM, Wiley, Glen <[email-masked]> wrote:
> 
> — 

The chairs and AD’s are worried that Sandards track is a “bridge to far” at this point. 
Thus going for experimental is simpler and quicker.
Document can be reclassified at later point once the experiment is a success. 

Olafur

---

From: Scott Kitterman <[email-masked]>
Date: Fri, 31 Jul 2015 01:58:51 -0400

On Thursday, July 30, 2015 08:31:02 AM Olafur Gudmundsson wrote:
> > Was a decision taken to make the SMIMEA and OPENPGPKEY drafts experimental
> > rather than standards track? —
> 
> The chairs and AD’s are worried that Sandards track is a “bridge to far” at
> this point. Thus going for experimental is simpler and quicker.

Based on previous experience, I think it's valuable to define, up front, what 
the experiment is and what success criteria are.  What is the experiment 
that's being conducted?

Scott K

---

From: Warren Kumari <[email-masked]>
Date: Fri, 31 Jul 2015 12:06:40 -0400

> the experiment is and what success criteria are.  What is the experiment

These drafts contain an untested email address local part "encoding",
and expose email address information in the DNS.  We have had a number
of discussions on this, including people involved in the mail
community, the draft authors and our AD on the correct track for these
documents (for some of these discussions, please see the discussions
at IETF 92 (Dallas) - the minutes capture some of it, the recordings
more) and it was felt that Experimental is most appropriate.

The experiment is: Does the local part "encoding" work well in
practice, and will organizations and individuals be willing to publish
email addresses info in the DNS? We do not have objective criteria for
success, rather we wish to launch this with the understanding that the
encoding may change in the future if issues are discovered.

W

> Scott K
>
> _______________________________________________
> dane mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dane

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf